Package org.codehaus.groovy.reflection

# Class ClassLoaderForClassArtifacts

java.lang.Object
java.lang.ClassLoader
org.codehaus.groovy.reflection.ClassLoaderForClassArtifacts

Direct Known Subclasses:
  `CallSiteClassLoader`

    public class ClassLoaderForClassArtifacts
    extends java.lang.ClassLoader

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `java.lang.ref.SoftReference<java.lang.Class>` | `klazz` |

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ClassLoaderForClassArtifacts​(java.lang.Class klazz)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `createClassName​(java.lang.reflect.Method method)` |
  `java.lang.String` | `createClassName​(java.lang.String methodName)` |
  `java.lang.Class` | `define​(java.lang.String name, byte[] bytes)` |
  `java.lang.reflect.Constructor` | `defineClassAndGetConstructor​(java.lang.String name, byte[] bytes)` |
  `java.lang.Class` | `loadClass​(java.lang.String name)` |

  ### Methods inherited from class java.lang.ClassLoader

  `clearAssertionStatus, defineClass, defineClass, defineClass, defineClass, definePackage, findClass, findClass, findLibrary, findLoadedClass, findResource, findResource, findResources, findSystemClass, getClassLoadingLock, getDefinedPackage, getDefinedPackages, getName, getPackage, getPackages, getParent, getPlatformClassLoader, getResource, getResourceAsStream, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, getUnnamedModule, isRegisteredAsParallelCapable, loadClass, registerAsParallelCapable, resolveClass, resources, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### klazz

    public final java.lang.ref.SoftReference<java.lang.Class> klazz

- ## Constructor Details

  - ### ClassLoaderForClassArtifacts

    public ClassLoaderForClassArtifacts​(java.lang.Class klazz)

- ## Method Details

  - ### define

    public java.lang.Class define​(java.lang.String name, byte[] bytes)

  - ### loadClass

    public java.lang.Class loadClass​(java.lang.String name) throws java.lang.ClassNotFoundException
    Overrides:
      `loadClass` in class `java.lang.ClassLoader`
    Throws:
      `java.lang.ClassNotFoundException`

  - ### createClassName

    public java.lang.String createClassName​(java.lang.reflect.Method method)

  - ### createClassName

    public java.lang.String createClassName​(java.lang.String methodName)

  - ### defineClassAndGetConstructor

    public java.lang.reflect.Constructor defineClassAndGetConstructor​(java.lang.String name, byte[] bytes)